--[[
Interface: 1.3.0.1 b4007

Copyright (C) GtX (Andy), 2018

Author: GtX | Andy
Date: 09.12.2018
Version: 1.0.0.0

Support only at: https://ls-modcompany.com

History:
V 0.1.0.0 @ 09.12.2018 - Internal Beta
V 0.1.1.0 @ 17.02.2019 - Test Version
V 1.0.0.0 @ 02.05.2019 - Release Version

Important:
Not to be added to any mods / maps or modified from its current release form.
No changes are to be made to this script without permission from GtX @ https://ls-modcompany.com
]]


AnimalPenExtensionBuildHourEvent = {}
AnimalPenExtensionBuildHourEvent_mt = Class(AnimalPenExtensionBuildHourEvent, Event)
InitEventClass(AnimalPenExtensionBuildHourEvent, "AnimalPenExtensionBuildHourEvent")

function AnimalPenExtensionBuildHourEvent:emptyNew()
	local self = Event:new(AnimalPenExtensionBuildHourEvent_mt)
    return self
end

function AnimalPenExtensionBuildHourEvent:new(animalPen, buildHour)
	local self = AnimalPenExtensionBuildHourEvent:emptyNew()
	self.animalPen = animalPen
	self.buildHour = buildHour
	
	return self
end

function AnimalPenExtensionBuildHourEvent:readStream(streamId, connection)
	local animalPen = NetworkUtil.readNodeObject(streamId)
	local buildHour = streamReadInt8(streamId)
	
	if animalPen ~= nil then
		animalPen:setWaterAddonBuildHour(buildHour)
	end
end

function AnimalPenExtensionBuildHourEvent:writeStream(streamId, connection)
	NetworkUtil.writeNodeObject(streamId, self.animalPen)
	streamWriteInt8(streamId, self.buildHour)
end




